View Issue Details

IDProjectCategoryView StatusLast Update
0015431ScribusImport / Exportpublic2019-06-04 20:56
Reportermjg Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.4.7 
Target VersionFixed in Version1.4.8.svn 
Summary0015431: EPS import fails with ghostscript 9.24+
DescriptionScribus fails to import EPS when using ghostscript 9.24 or 9.25, or some security patched versions of ghostscript.

The reason is that newer ghostscript versions turn off certain postscript construct that were not allowed before either but happened to work. The problematic code is in the import.prolog that scribus uses.
Steps To Reproducescribus redacted2.eps
Additional InformationFor a discussion see

https://bugs.ghostscript.com/show_bug.cgi?id=699780
https://bugzilla.redhat.com/show_bug.cgi?id=1628943

The attached patch fixes the problem for scribus 1.4.6 in Fedora (patch submitted there for inclusion). It applies to 1.4.7 as that uses the same import.prolog.

Scribus 1.5.4 imports the attached EPS without any problems since it uses a completely different importer (based on poppler, not ghostscript).
TagsNo tags attached.
PatchYes

Activities

mjg

2018-09-17 18:52

reporter  

redacted2.eps (24,098 bytes)
scribus-1.4.6-gs-9.24.patch (326 bytes)
--- scribus-1.4.6-orig/scribus/plugins/import/ps/import.prolog	2009-05-08 21:04:32.000000000 +0200
+++ scribus-1.4.6/scribus/plugins/import/ps/import.prolog	2018-09-17 16:05:24.988900385 +0200
@@ -75,6 +75,7 @@
 	//doimage exec
 } .forceput
 end
+/.currentopacityalpha {//.currentopacityalpha} bind def
 setglobal
 .bindnow
 

jghali

2018-09-17 21:37

administrator   ~0045467

Patch has been applied to 1.4.x branch. Thanks!

Issue History

Date Modified Username Field Change
2018-09-17 18:52 mjg New Issue
2018-09-17 18:52 mjg File Added: redacted2.eps
2018-09-17 18:52 mjg File Added: scribus-1.4.6-gs-9.24.patch
2018-09-17 21:37 jghali Assigned To => jghali
2018-09-17 21:37 jghali Status new => resolved
2018-09-17 21:37 jghali Resolution open => fixed
2018-09-17 21:37 jghali Fixed in Version => 1.4.8.svn
2018-09-17 21:37 jghali Note Added: 0045467
2019-06-04 20:56 cbradney Status resolved => closed